<div class="navButtons">
{if $DISPLAY_NAV_BUTTONS or isset($slideshow)}

  {if isset($last)}
    <a id="icon_last" class="navButton" href="{$last.U_IMG}"
       title="{$last.TITLE}"
       rel="last"></a>
  {else}
    <a id="icon_last_unactive" class="navButton"></a>
  {/if}

  {if isset($next)}
    <a id="icon_right" class="navButton" href="{$next.U_IMG}"
       title="{$next.TITLE}"
       rel="next"></a>
  {else}
    <a id="icon_right_unactive" class="navButton"></a>
  {/if}

  {if isset($slideshow.U_START_PLAY)}
    <a id="icon_play" class="navButton" href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}"></a>
  {/if}

  {if isset($slideshow.U_STOP_PLAY)}
    <a id="icon_pause" class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}"></a>
  {/if}

  {if isset($U_UP) and !isset($slideshow)}
    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up"></a>
  {/if}

  {if isset($previous)}
    <a id="icon_left" class="navButton" href="{$previous.U_IMG}"
       title="{$previous.TITLE}"
       rel="prev"></a>
  {else}
    <a id="icon_left_unactive" class="navButton"></a>
  {/if}

  {if isset($first)}
    <a id="icon_first" class="navButton" href="{$first.U_IMG}"
       title="{$first.TITLE}"
       rel="first"></a>
  {else}
    <a id="icon_first_unactive" class="navButton"></a>
  {/if}


  {if isset($slideshow.U_START_REPEAT)}
    <a id="icon_start_repeat" class="navButton" href="{$slideshow.U_START_REPEAT}" title="{'Repeat the slideshow'|@translate}"></a>
  {/if}

  {if isset($slideshow.U_STOP_REPEAT)}
    <a id="icon_stop_repeat" class="navButton" href="{$slideshow.U_STOP_REPEAT}" title="{'Not repeat the slideshow'|@translate}"></a>
  {/if}

  {if isset($slideshow)}
    {if isset($slideshow.U_DEC_PERIOD)}
      <a id="icon_dec_period" class="navButton" href="{$slideshow.U_DEC_PERIOD}" title="{'Accelerate diaporama speed'|@translate}"></a>
    {else}
      <a id="icon_dec_period_unactive" class="navButton" ></a>
    {/if}

    {if isset($slideshow.U_INC_PERIOD)}
      <a id="icon_inc_period" class="navButton" href="{$slideshow.U_INC_PERIOD}" title="{'Reduce diaporama speed'|@translate}"></a>
    {else}
      <a id="icon_inc_period_unactive" class="navButton"></a>
    {/if}
  {/if}
{/if}
</div>

<script type="text/javascript">// <![CDATA[
{literal}
function keyboardNavigation(e)
{
  if(!e) e=window.event;
  if (e.altKey) return true;
  var target = e.target || e.srcElement;
  if (target && target.type) return true; //an input editable element
  var keyCode=e.keyCode || e.which;
  var docElem = document.documentElement;
  switch(keyCode) {
{/literal}
{if isset($next)}
  case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
{/if}
{if isset($previous)}
  case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}
{if isset($first)}
  /*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}
{if isset($last)}
  /*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}
{if isset($U_UP) and !isset($slideshow)}
  /*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}

{if isset($slideshow.U_START_PLAY)}
  /*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}
{if isset($slideshow.U_STOP_PLAY)}
  /*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
{/if}
  }
  return true;
}
document.onkeydown=keyboardNavigation;
// ]]></script>
